	function MAG = H_2_MAG(H)
	%
	% 	Computes the magnitude response from the frequency response
	%		
	% 	Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009
	
	% 	Author: 		Lars Wanhammar
	% 	Modified by: 		 
	% 	Copyright:		Divison of Electronics Systems
	% 					Dept. Electrical Engineering, Linkoping University, Sweden
	% 	Version: 		1
	% 	Known bugs:		None
	% 	Report bugs to:	larsw@isy.liu.se
	%
	H(abs(H) < eps) = eps;
	MAG = 20*log10(abs(H));
