	function CostFunk = CUBE(X, n)
	%
	%	Leons cost function with valley x2 = x1^3
	%	Minimum = 0 at [1, 1].
	
	%	Author: 		Lars Wanhammar, 2005-11-12
	%	Modified by: 		 
	%	Copyright:		Divison of Electronics Systems
	% 					Dept. Electrical Engineering, Linkoping University, Sweden
	%	Version: 		1 
	%	Known bugs:		None
	%	Report bugs to:	larsw@isy.liu.se
	
	CostFunk = 100*(X(2) - X(1)^3)^2 + (1 - X(1))^2;
	return

