	function CostFunk = ROSENBROCK(X, n)
	%
	%	Rosenbrocks difficult cost function with parabolic valley.
	%	Minimum = 0 at [1, 1].
	
	%	Author: 		Lars Wanhammar, 2005-11-12
	%	Modified by: 		 
	%	Copyright:		Divison of Electronics Systems
	% 					Dept. Electrical Engineering, Linkoping University, Sweden
	%	Version: 		1 
	%	Known bugs:		None
	%	Report bugs to:	larsw@isy.liu.se
	
	CostFunk = (X(1) - 1)^2 + 100*(X(2)- X(1)^2)^2;
	return

