 	function Poly_Prim = POLY_PRIM(Poly)
	%
	% 	Computes the derivative of a polynomial, P, with the highest power first.  
 	%
	% Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009
		
	% Author: 			Lars Wanhammar, 2002-07-23
    % Modified by:		LW 2007-07-23
	% Copyright:		Divison of Electronics Systems
	%					Dept. Electrical Engineering, Linkoping University, Sweden
	% Version: 			1	
	% Known bugs:		None
	% Report bugs to:	larsw@isy.liu.se
 
	N = length(Poly);	
	for j = 1:N-1
		Poly_Prim(j) = (N-j)*Poly(j);
	end
 
